# QWebPage Class Reference

### [com.trolltech.qt.webkit package]

Inherits QObject.

### Constructor

- void QWebPage(QObject parent)

### Constructor Properties

- prototype: The QWebPage prototype object
- QtNetwork
- Http
- WebKit
- ErrorDomain( value )
- NavigationTypeLinkClicked
- NavigationTypeFormSubmitted
- NavigationTypeBackOrForward
- NavigationTypeReload
- NavigationTypeFormResubmitted
- NavigationTypeOther
- NavigationType( value )
- NoWebAction = -1
- OpenLink
- OpenLinkInNewWindow
- OpenFrameInNewWindow
- DownloadLinkToDisk
- CopyLinkToClipboard
- OpenImageInNewWindow
- DownloadImageToDisk
- CopyImageToClipboard
- Back
- Forward
- Stop
- Reload
- Cut
- Copy
- Paste
- Undo
- Redo
- MoveToNextChar
- MoveToPreviousChar
- MoveToNextWord
- MoveToPreviousWord
- MoveToNextLine
- MoveToPreviousLine
- MoveToStartOfLine
- MoveToEndOfLine
- MoveToStartOfBlock
- MoveToEndOfBlock
- MoveToStartOfDocument
- MoveToEndOfDocument
- SelectNextChar
- SelectPreviousChar
- SelectNextWord
- SelectPreviousWord
- SelectNextLine
- SelectPreviousLine
- SelectStartOfLine
- SelectEndOfLine
- SelectStartOfBlock
- SelectEndOfBlock
- SelectStartOfDocument
- SelectEndOfDocument
- DeleteStartOfWord
- DeleteEndOfWord
- SetTextDirectionDefault
- SetTextDirectionLeftToRight
- SetTextDirectionRightToLeft
- ToggleBold
- ToggleItalic
- ToggleUnderline
- InspectElement
- InsertParagraphSeparator
- InsertLineSeparator
- SelectAll
- ReloadAndBypassCache
- PasteAndMatchStyle
- RemoveFormat
- ToggleStrikethrough
- ToggleSubscript
- ToggleSuperscript
- InsertUnorderedList
- InsertOrderedList
- Indent
- Outdent
- AlignCenter
- AlignJustified
- AlignLeft
- AlignRight
- StopScheduledPageRefresh
- CopyImageUrlToClipboard
- OpenLinkInThisWindow
- WebActionCount
- WebAction( value )
- WebBrowserWindow
- WebModalDialog
- WebWindowType( value )
- FindBackward = 1
- FindCaseSensitively = 2
- FindWrapsAroundDocument = 4
- HighlightAllOccurrences = 8
- FindFlag( value )
- FindFlags( value1, value2, ... )
- ChooseMultipleFilesExtension
- ErrorPageExtension
- Extension( value )
- DontDelegateLinks
- DelegateExternalLinks
- DelegateAllLinks
- LinkDelegationPolicy( value )

### Prototype Object Properties

The QWebPage prototype object inherits properties from the QObject prototype object and also has the following properties.

- QAction action(WebAction action)
- unsigned long long bytesReceived()
- QMenu createStandardContextMenu()
- QWebFrame currentFrame()
- bool extension(Extension extension, QWebPage_ExtensionOption option, QWebPage_ExtensionReturn output)
- bool findText(String subString, FindFlags options)
- bool focusNextPrevChild(bool next)
- QWebFrame frameAt(QPoint pos)
- QWebHistory history()
- Object inputMethodQuery(InputMethodQuery property)
- QWebFrame mainFrame()
- QNetworkAccessManager networkAccessManager()
- QWebPluginFactory pluginFactory()
- void setActualVisibleContentRect(QRect rect)
- void setNetworkAccessManager(QNetworkAccessManager manager)
- void setPluginFactory(QWebPluginFactory factory)
- void setView(QWidget view)
- QWebSettings settings()
- List supportedContentTypes()
- bool supportsContentType(String mimeType)
- bool supportsExtension(Extension extension)
- bool swallowContextMenuEvent(QContextMenuEvent event)
- unsigned long long totalBytes()
- void triggerAction(WebAction action, bool checked)
- QUndoStack undoStack()
- void updatePositionDependentActions(QPoint pos)
- QWidget view()

### Instance Properties

QWebPage objects inherit properties from the QWebPage prototype object and also have the following properties.

- modified
- selectedText
- selectedHtml
- hasSelection
- viewportSize
- preferredContentsSize
- forwardUnsupportedContent
- linkDelegationPolicy
- palette
- contentEditable